<nz-modal 
    [(nzVisible)]="isSignInVisible" 
    nzWidth="55%"
    nzTitle="Sign In"
    [nzClosable]="!isDisabled"
    (nzOnCancel)="onCancel()">
    <div 
        class="w-full h-full"
        fxLayout="column"
        fxLayoutAlign="center center">
        <form 
            nzForm
            class="w-3/4"
            [formGroup]="form">
            <nz-form-item>
                <nz-form-control [nzErrorTip]="usernameErrorTpl">
                    <nz-input-group nzPrefixIcon="mdi:account">
                        <input
                            nz-input 
                            formControlName="username"
                            placeholder="Username" />
                    </nz-input-group>
                </nz-form-control>
                <ng-template #lastNameErrorTpl let-control>
                    <ng-container *ngIf="control.hasError('required')">
                        Please input your username!
                    </ng-container>
                </ng-template>
            </nz-form-item>
            <nz-form-item>
                <nz-form-control [nzErrorTip]="passwordeErrorTpl">
                    <nz-input-group nzPrefixIcon="mdi:lock">
                        <input 
                            nz-input 
                            type="password" 
                            formControlName="password"
                            placeholder="Password" />
                    </nz-input-group>
                </nz-form-control>
                <ng-template #lastNameErrorTpl let-control>
                    <ng-container *ngIf="control.hasError('required')">
                        Please input your password!
                    </ng-container>
                </ng-template>
            </nz-form-item>
            <div 
                fxLayout="row"
                fxLayoutAlign="space-between center">
                <button 
                    nz-button 
                    class="padding-none"
                    nzType="link"
                    (click)="onClick()">
                    Forgotten password?
                </button>
                <button 
                    nz-button 
                    class="padding-none"
                    nzType="link"
                    (click)="newUser()">
                    New user?
                </button>
            </div>
        </form>
    </div>
    <div *nzModalFooter>
        <button 
            nz-button
            nzType="default" 
            (click)="onCancel()"
            [disabled]="form.valid">
            Cancel
        </button>
        <button 
            nz-button
            class="border-none"
            nzType="primary"
            (click)="onSignIn()"
            [disabled]=""
            [ngClass]="{ 'not-valid': !form.valid, 'valid': form.valid }">
            Sign In
        </button>
    </div>
</nz-modal>
